From 4fbd2b2e6fa9676f7eccaacc82490f007930bf73 Mon Sep 17 00:00:00 2001
From: tmaruyama <none@none>
Date: Mon, 26 Sep 2011 16:22:38 +0000
Subject: Rails3: mail: rename app/views/mailer/*.text.plain.rhtml to app/views/mailer/*.text.erb

--HG--
rename : app/views/mailer/account_activated.text.plain.rhtml => app/views/mailer/account_activated.text.erb
rename : app/views/mailer/account_activation_request.text.plain.rhtml => app/views/mailer/account_activation_request.text.erb
rename : app/views/mailer/account_information.text.plain.rhtml => app/views/mailer/account_information.text.erb
rename : app/views/mailer/attachments_added.text.plain.rhtml => app/views/mailer/attachments_added.text.erb
rename : app/views/mailer/document_added.text.plain.rhtml => app/views/mailer/document_added.text.erb
rename : app/views/mailer/issue_add.text.plain.rhtml => app/views/mailer/issue_add.text.erb
rename : app/views/mailer/issue_edit.text.plain.rhtml => app/views/mailer/issue_edit.text.erb
rename : app/views/mailer/lost_password.text.plain.rhtml => app/views/mailer/lost_password.text.erb
rename : app/views/mailer/mail_handler_confirmation.text.plain.rhtml => app/views/mailer/mail_handler_confirmation.text.erb
rename : app/views/mailer/mail_handler_missing_information.text.plain.rhtml => app/views/mailer/mail_handler_missing_information.text.erb
rename : app/views/mailer/mail_handler_unauthorized_action.text.plain.rhtml => app/views/mailer/mail_handler_unauthorized_action.text.erb
rename : app/views/mailer/message_posted.text.plain.rhtml => app/views/mailer/message_posted.text.erb
rename : app/views/mailer/news_added.text.plain.rhtml => app/views/mailer/news_added.text.erb
rename : app/views/mailer/news_comment_added.text.plain.rhtml => app/views/mailer/news_comment_added.text.erb
rename : app/views/mailer/register.text.plain.rhtml => app/views/mailer/register.text.erb
rename : app/views/mailer/reminder.text.plain.rhtml => app/views/mailer/reminder.text.erb
rename : app/views/mailer/test.text.plain.rhtml => app/views/mailer/test.text.erb
rename : app/views/mailer/wiki_content_added.text.plain.rhtml => app/views/mailer/wiki_content_added.text.erb
rename : app/views/mailer/wiki_content_updated.text.plain.rhtml => app/views/mailer/wiki_content_updated.text.erb
extra : source : d790a5bae1f1a3ec5d24c83b4278024a077c7b23
---
 app/models/mailer.rb                               |    4 ++--
 ...text.plain.rhtml => account_activated.text.erb} |    0
 ...n.rhtml => account_activation_request.text.erb} |    0
 ...xt.plain.rhtml => account_information.text.erb} |    0
 ...text.plain.rhtml => attachments_added.text.erb} |    0
 ...ed.text.plain.rhtml => document_added.text.erb} |    0
 ...sue_add.text.plain.rhtml => issue_add.text.erb} |    0
 ...e_edit.text.plain.rhtml => issue_edit.text.erb} |    0
 ...ord.text.plain.rhtml => lost_password.text.erb} |    0
 ...in.rhtml => mail_handler_confirmation.text.erb} |    0
 ...l => mail_handler_missing_information.text.erb} |    0
 ...l => mail_handler_unauthorized_action.text.erb} |    0
 ...ed.text.plain.rhtml => message_posted.text.erb} |    0
 ..._added.text.plain.rhtml => news_added.text.erb} |    0
 ...ext.plain.rhtml => news_comment_added.text.erb} |    0
 ...register.text.plain.rhtml => register.text.erb} |    0
 ...reminder.text.plain.rhtml => reminder.text.erb} |    0
 .../{test.text.plain.rhtml => test.text.erb}       |    0
 ...ext.plain.rhtml => wiki_content_added.text.erb} |    0
 ...t.plain.rhtml => wiki_content_updated.text.erb} |    0
 20 files changed, 2 insertions(+), 2 deletions(-)
 rename app/views/mailer/{account_activated.text.plain.rhtml => account_activated.text.erb} (100%)
 rename app/views/mailer/{account_activation_request.text.plain.rhtml => account_activation_request.text.erb} (100%)
 rename app/views/mailer/{account_information.text.plain.rhtml => account_information.text.erb} (100%)
 rename app/views/mailer/{attachments_added.text.plain.rhtml => attachments_added.text.erb} (100%)
 rename app/views/mailer/{document_added.text.plain.rhtml => document_added.text.erb} (100%)
 rename app/views/mailer/{issue_add.text.plain.rhtml => issue_add.text.erb} (100%)
 rename app/views/mailer/{issue_edit.text.plain.rhtml => issue_edit.text.erb} (100%)
 rename app/views/mailer/{lost_password.text.plain.rhtml => lost_password.text.erb} (100%)
 rename app/views/mailer/{mail_handler_confirmation.text.plain.rhtml => mail_handler_confirmation.text.erb} (100%)
 rename app/views/mailer/{mail_handler_missing_information.text.plain.rhtml => mail_handler_missing_information.text.erb} (100%)
 rename app/views/mailer/{mail_handler_unauthorized_action.text.plain.rhtml => mail_handler_unauthorized_action.text.erb} (100%)
 rename app/views/mailer/{message_posted.text.plain.rhtml => message_posted.text.erb} (100%)
 rename app/views/mailer/{news_added.text.plain.rhtml => news_added.text.erb} (100%)
 rename app/views/mailer/{news_comment_added.text.plain.rhtml => news_comment_added.text.erb} (100%)
 rename app/views/mailer/{register.text.plain.rhtml => register.text.erb} (100%)
 rename app/views/mailer/{reminder.text.plain.rhtml => reminder.text.erb} (100%)
 rename app/views/mailer/{test.text.plain.rhtml => test.text.erb} (100%)
 rename app/views/mailer/{wiki_content_added.text.plain.rhtml => wiki_content_added.text.erb} (100%)
 rename app/views/mailer/{wiki_content_updated.text.plain.rhtml => wiki_content_updated.text.erb} (100%)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index 32371be..0b1c6cd 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -446,13 +446,13 @@ class Mailer < ActionMailer::Base
   def render_multipart(method_name, body)
     if Setting.plain_text_mail?
       content_type "text/plain"
-      body render(:file => "#{method_name}.text.plain.rhtml",
+      body render(:file => "#{method_name}.text.erb",
                   :body => body,
                   :layout => 'mailer.text.erb')
     else
       content_type "multipart/alternative"
       part :content_type => "text/plain",
-           :body => render(:file => "#{method_name}.text.plain.rhtml",
+           :body => render(:file => "#{method_name}.text.erb",
                            :body => body, :layout => 'mailer.text.erb')
       part :content_type => "text/html",
            :body => render_message("#{method_name}.text.html.rhtml", body)
